

/* ======  head-pic (laptop) ====== */
/* ======  head-pic (laptop) ====== */


.head-pic {
    width: 100%;
    height: 200px; /* Adjust height as needed */
    overflow: hidden;
    position: relative;
}

.head-pic img {
    width: 100%;
    height: 100%;
    object-fit: cover; 
    filter: brightness(90%); 
}


/* ======  products (laptop) ====== */
/* ======  products (laptop) ====== */

#products{

    padding: 0 70px;
    margin: 50px 0;
    /* height: 100vh; */

    display: flex;
    flex-direction: column;

    /* background-color: coral; */
}

#products h2{

    font-size: 30px;
    text-align: center;
    color:  #00adf0;
    margin: 20px 0;
     font-family: 'Montserrat', sans-serif;
}

.prod-container {

    width: 100%;

    /* background-color: aqua; */

    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    align-content: center;

} 
.prod {
    position: relative;
    display: inline-block;
    overflow: hidden;

    height: 220px;
    width: 350px;
    margin: 20px;

    /* background-color: rgb(35, 90, 72); */
    
}

.prod img {
    width: 100%;
    height: 100%; 
    object-fit: cover; 
    display: block;
}

.prod .prod-name {
    position: absolute;
    bottom: 0px;
    left: -100%; 
    margin: 0;
    padding: 10px;
    background-color: transparent;
    color: white;
    font-size: 16px;
    /* background-color: #00adf0; */
    width: 100%;
    height: 100%;

   

   
    transition: left 0.5s ease-in-out, background-color 0.3s ease;
}

.prod:hover .prod-name  {
    left: 0%; 
    
    /* transform: translateX(-50%);  */
    /* background-color: red;  */
}

.prod .prod-name p {
    width: 100%;
    height: 100%;
    background-color: rgba(0, 173, 240, 0.9);

    display: flex;
    justify-content: center;
    align-items: center;
    align-content: center;
    position: relative; 
    /* top: -20px;  */
    /* opacity: 0;  */
    transition: all 0.3s ease 0.5s; 
    cursor: pointer;
}

/* .prod .prod-name p span {
    width: 100%;
    height: 100%;
    background-color: #00adf0;
    display: flex;
    justify-content: center;
    align-items: center;
    align-content: center;
    position: relative; 
    top: -20px; 
    opacity: 0; 
    transition: all 0.3s ease 0.5s; 
}

.prod:hover .prod-name p {
    top: 0; 
    opacity: 1; 
} */



.prod .prod-name p a {
    font-size: 20px;
    font-weight: 600;
    text-transform: capitalize;
    color: #ffffff;
    text-decoration: none;
    

    /* background-color: burlywood;*/
     
    position: relative;
    top: -30px; /* Start position above */
    opacity: 0; /* Initially hidden */
    transition: top 0.3s ease 0.8s, opacity 1s ease 0.8s; /* Transition for both top and opacity */
}

.prod:hover .prod-name p a {
    top: 0; /* Final position */
    opacity: 1; /* Make the span visible */
}


@media (max-width: 500px) {
    #products {
        padding: 0 20px;
        margin: 10px 0;
    }
  
}
  